petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFactorGetMatSolverType

gets the software that is used to perform the factorization

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorGetMatSolverType(PC pc,MatSolverType *stype)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

stype -for example, superlu, superlu_dist (NULL if the PC does not have a solver package)

### Keywords

PC, set, factorization, direct, fill

### See Also

MatGetFactor(), MatSolverType, PCFactorGetMatSolverType()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Implementations

PCFactorGetMatSolverType_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages